<?php
# marqueur pour indiquer qu'il faut placer les matches à cet endroit

function translateFile($sourceDir, $sourceFile, $destDir, $destFile)
{
	global $MARKER;

if ( (!isset($sourceFile)) || (!isset($destFile)) || (!isset($destDir)) || (!isset($sourceDir)))
	return 0;

echo "foot : ".C_FOOTBALL.".<br>";
# on lit le template
$tabIn = file($sourceDir.$sourceFile);
echo "Source : ".$sourceDir.$sourceFile."<br>";
echo "Target : ".$destDir.$destFile."<br>";

	# ouverture du calendar.inc pour ecriture
	$f_out = fopen($destDir.$destFile,'w');
	
	# on écrit déjà ce qu'il y a dans le template
	for($r=0;$r<count($tabIn);$r++)
	{
//		echo $r.". ".$tabIn[$r]."<br>";
		ereg("(C_[A-Z0-9]+)", $tabIn[$r], $res);
		
		if (count($res)==0)
			fwrite($f_out,$tabIn[$r]);
		else
		{
//			echo "ligne ".$r." : <br>";
			flush();
			$begin = $tabIn[$r];
			$end = "";
			
			while ($begin !="")
			{
//				echo "begin1 : ".$begin."<br>";
				$ret = ereg("(.*)(C_[A-Z0-9_]+)(.*)", $begin, $res);
//				echo "top : ".$ret."<br>";
				if ($ret!=false)
				{
					$begin = $res[1];
					$variable = $res[2];
					echo "in";
					flush();
					eval("\$value = ".$res[2].";");
					$end .= "\"".$value."\"".$res[3];
/*					echo "begin : ".$begin."<br>";
					echo "val : ".$variable."<br>";
					echo "end : ".$end."<br>"; */
					flush();
				}
				else
				{
					break;
				}
			}

//			echo "		Sortie : ".$begin.$end."<br>";
			fwrite($f_out,$begin.$end);
			}
		}
	}
	fclose($f_out);
	return 1;
}
?>